Package: ruby-actionpack-action-caching / 1.1.1-4

Metadata

Package Version Patches format
ruby-actionpack-action-caching 1.1.1-4 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
dont use bundler in tests.patch | (download)

Rakefile | 1 0 + 1 - 0 !
test/abstract_unit.rb | 1 0 + 1 - 0 !
2 files changed, 2 deletions(-)

---
Fix Failing Tests.patch | (download)

test/caching_test.rb | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 [patch] fix failing tests by requiring mocha

Now that the rails gem points to 4.2, we need to require mocha in order
to use the `expects` syntax, otherwise tests will fail. See:
https://travis-ci.org/rails/actionpack-action_caching/jobs/46021642